namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateBaseOrderCommand(Guid UserId) : IRequest<Order>;

public sealed record CalculateOrderCommand(Guid OrderId , bool NamoosiCalculate = false) : IRequest<Order>;

public sealed record DeleteOrderCommand(Guid OrderId) : IRequest<bool>;